/*
 * V8_0_To_V8_1.java
 *
 * Created on December 19, 2007, 3:12 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package siprp.update.updates;

import com.evolute.utils.Singleton;
import com.evolute.utils.db.DBManager;
import com.evolute.utils.db.Executer;
import com.evolute.utils.sql.Assignment;
import com.evolute.utils.sql.Field;

/**
 *
 * @author fpalma
 */
public class V8_0_To_V8_1
		implements siprp.update.Update
{
	
	/**
	 * Creates a new instance of V8_0_To_V8_1
	 */
	public V8_0_To_V8_1()
	{
	}
	
	public String []listChanges()
	{
		return new String[]{ "Alterar tabela dos ecds"};
	}
	
	public double getStartVersion()
	{
		return 8.0;
	}
	
	public double getEndVersion()
	{
		return 8.1;
	}
	
	public void doUpdate()
		throws Exception
	{
		DBManager dbm = ( DBManager ) Singleton.getInstance( Singleton.DEFAULT_DBMANAGER );
		Executer executer = dbm.getSharedExecuter();
		com.evolute.utils.sql.Update update = 
				new com.evolute.utils.sql.Update( 
					"CREATE SEQUENCE trabalhadores_ecd_id_seq;" );
		executer.executeQuery( update );
		update = 
			new com.evolute.utils.sql.Update( 
				"ALTER TABLE trabalhadores_ecd ALTER COLUMN id SET DEFAULT NEXTVAL('trabalhadores_ecd_id_seq');" );
		executer.executeQuery( update );
	}
	
	public String toString()
	{
		return "v" + getStartVersion() + " para v" + getEndVersion();
	}
}
